## apt-listchanges 2.79ubuntu2

=== debian/changelog ===
apt-listchanges (2.79ubuntu2) hardy; urgency=low

  * SECURITY UPDATE: Avoid using a potentially unsafe import path.
  * apt-listchanges.py: upstream (2.82) fixes patched inline.
  * References
    CVE-2008-0302

 -- Kees Cook <kees@ubuntu.com>  Thu, 17 Jan 2008 08:50:20 -0800

apt-listchanges (2.79ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - maintainer field change
    - readd the cleanup debian/preinst: required for dapper->hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2007 11:40:53 +0100

apt-listchanges (2.79) unstable; urgency=medium

  * Force locale to C if python does not groks the locale at all
    (Closes: 455811)
  * Force unicode for subject (Closes: 455704).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 12 Dec 2007 11:33:34 +0100

apt-listchanges (2.78) unstable; urgency=medium

  * Stupid typo in the apt_listchanges module, for the mail front-end.
    (Closes: 455474).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 10 Dec 2007 17:45:36 +0100

apt-listchanges (2.77) unstable; urgency=low

  * Clean up debian/preinst: removing the pyo/pyc was needed for sarge -> etch
    upgrades only.
  * Bump Standards-Version to 3.7.3, no changes required.
  * Fix the email header encoding issue, it's not a python bug after all
    (Closes: 391014).
  * Document the gtk frontend in the manpage (Closes: 452500).
  * Fix the postrm that checked for ucf presence the wrong way
    (Closes: 440384).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 09 Dec 2007 18:03:50 +0100

apt-listchanges (2.76) unstable; urgency=low

  * Add patch from Michael Vogt to support launchpad bug numbers
    (Closes: 451995, 454581).
  * Add patch from Felipe Sateler to have a better title to html output
    (Closes: 431501).
  * Add po/eu.po from Piarres Beobide (Closes: 419673).
  * Update debian/po/fr.po thanks to Christian Perrier (Closes: 452482).
  * Update debian/po/nl.po thanks to Frans Pop (Closes: 453932).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 06 Dec 2007 14:54:58 +0100

apt-listchanges (2.75ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - LP bug closing format support
    - maintainer field change
    - preinst: cleanup of leftover AptListChangesGtk.pyc files
  * Dropped the gtk frontend patch, that got taken by Debian now
    (thanks a lot!). Just for the record, the patch was send
    to upstream in Nov 2006 (and acknowledged)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Dec 2007 12:12:14 +0100

apt-listchanges (2.75) unstable; urgency=low

  * Recode po files in utf-8 (Closes: 391014).
  * Fail gracefully if the database cannot be loaded (Closes: 444478).
  * Fail gracefully if on Ubuntu with braindead locales (Closes: 431364).
  * apt-listchanges on Debian gains a new gtk front-end (Closes: 451845),
    thanks to Michael Vogt.
  * debian/control: add the vcs-* headers so that noone can pretend he cannot
    send patches.
  * fix wrong path in the .es documentation (good eyes lintian !).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Nov 2007 23:40:24 +0100

=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.7.3
Vcs-Browser: http://git.madism.org/?p=apt-listchanges.git;a=summary
Vcs-Git: git://git.madism.org/apt-listchanges.git
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
 python-support (>= 0.4.0), libexpat1-dev

Package: apt-listchanges
Architecture: all
Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, debconf | debconf-2.0,
 ucf (>= 0.28), debianutils (>= 2.0.2)
Recommends: exim4 | mail-transport-agent, python-glade2, python-gtk2
Suggests: x-terminal-emulator, www-browser
Description: Display change history from .deb archives
 apt-listchanges is a tool to show what has been changed in a new
 version of a Debian package, as compared to the version currently
 installed on the system.  It does this by extracting the relevant
 entries from the Debian changelog file, and the NEWS.Debian file.
 .
 It can be run on several .deb archives at a time to get a list of all
 of the changes that would be effected by installing or upgrading a
 group of packages.  It can be configured to do this automatically
 during upgrades using apt.

=== debian/rules ===
#!/usr/bin/make -f

version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')

build: build-stamp
build-stamp:
	dh_testdir
	perl -pi.orig -e 's/##VERSION##/$(version)/g' apt_listchanges.py
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f *.py[co] *~
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs TODO
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-listchanges 2.82

=== debian/changelog ===
apt-listchanges (2.82) unstable; urgency=high

  * fix a potential security issue in apt-listchanges import paths, thanks for
    Felipe Sateler for the heads up.
  * update de.po thanks to Helge Kreutzmann (Closes: 456238).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 14 Jan 2008 09:39:05 +0100

apt-listchanges (2.81) unstable; urgency=low

  * debian/control: Bump priority to standard, as discussed on debian-devel,
    and don't recommend python-{glade,gtk} because of that (Closes: 459258).
  * Check for the .glade file existence before passing it to glade, to avoid
    spurious error messages (Closes: 454161).
  * Update po/eu.po from Piarres Beobide (Closes: 419673 for real this time).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 08 Jan 2008 23:48:11 +0100

apt-listchanges (2.80) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    English team as part of the Smith review project. Closes: #455772
  * [Debconf translation updates]
  * Japanese. Closes: #455864
  * Basque. Closes: #455885
  * Galician. Closes: #455984
  * German. Closes: #456238
  * Portuguese. Closes: #456364
  * Norwegian Bokmål. Closes: #456397
  * Spanish. Closes: #456412
  * Italian. Closes: #456511
  * Vietnamese. Closes: #457310
  * Czech. Closes: #457676
  * Finnish. Closes: #457779
  * Russian. Closes: #457874
  * Dutch; Flemish. Closes: #458310
  * French. Closes: #458513
  * Japanese. Closes: #455864

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 06 Jan 2008 11:44:16 +0100

=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: standard
Maintainer: Pierre Habouzit <madcoder@debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.7.3
Vcs-Browser: http://git.madism.org/?p=apt-listchanges.git;a=summary
Vcs-Git: git://git.madism.org/apt-listchanges.git
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
 python-support (>= 0.4.0), libexpat1-dev

Package: apt-listchanges
Architecture: all
Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, debconf | debconf-2.0,
 ucf (>= 0.28), debianutils (>= 2.0.2)
Recommends: exim4 | mail-transport-agent
Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2
Description: package change history notification tool
 The tool apt-listchanges can compare a new version of a
 package with the one currently installed and show what has been
 changed, by extracting the relevant entries from the Debian changelog
 and NEWS files.
 .
 It can be run on several .deb archives at a time to get a list of all
 changes that would be caused by installing or upgrading a group of
 packages. When configured as an APT plugin it will do this
 automatically during upgrades.

## apt-listchanges 2.83

=== debian/changelog ===
apt-listchanges (2.83) unstable; urgency=low

  [ Christian Perrier ]
  * Fix extra space before exclamation mark in an error
    message. Translations unfuzied.
  * Fix extra question mark in one string. Translations
    unfuzzied and fixed when they had two question marks too.
  * Programs translation updates:
    - French. Closes: #469248
    - Estonian. Closes: #500979
    - Basque. Closes: #501010
    - Traditional Chinese. Closes: #501034
    - Simplified Chinese. Closes: #501039
    - Swedish. Closes: #501051
    - Japanese. Closes: #501530
    - Czech. Closes: #501212
    - Italian. Closes: #501238
    - German. Closes: #501265
    - Russian. Closes: #501469
    - Portuguese. Closes: #501494
    - Polish. Closes: #501496
    - Dutch. Closes: #501621
  * Debconf translations:
    - Swedish. Closes: #492092
    - Simplified Chinese. Closes: #501039
    - Polish. Closes: #501296
  * Russian. Closes: #501469

  [ Pierre Habouzit ]
  * Fix the Vcs-* header to add the missing "apps/" in it.
  * Thanks a lot to Christian for his invaluable help and the 23 patches he
    sent me.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 09 Oct 2008 11:29:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Pierre Habouzit <madcoder@debian.org>
 Uploaders: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.7.3
-Vcs-Browser: http://git.madism.org/?p=apt-listchanges.git;a=summary
-Vcs-Git: git://git.madism.org/apt-listchanges.git
+Vcs-Browser: http://git.madism.org/?p=apps/apt-listchanges.git;a=summary
+Vcs-Git: git://git.madism.org/apps/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
  python-support (>= 0.4.0), libexpat1-dev

## apt-listchanges 2.84

=== debian/changelog ===
apt-listchanges (2.84) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in Polish translation. Closes: #510618

  [ Thadeu Lima de Souza Cascardo ]
  * Introduce the --reverse option to list entries in the reverse order.
    Closes: #172113:

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Mon, 04 Jan 2010 12:17:21 -0200

apt-listchanges (2.83+nmu1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement
    (he likes living dangerously)

  [ Pierre Habouzit ]
  * Apt-listchanges moves to collab-maint.

  [ Christian Perrier ]
  * Catalan (Jordi Mallach).  Closes: #548654
  * Fix pending l10n issues. Program translations:
    - Simplified Chinese. Closes: #501042
    - Brazilian Portuguese. Closes: #501637
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).
      Closes: #501639
  * Add ${misc:Depends} to dependencies to properly
    deal with dependencies implied by some debhelper
    utilities. As a consequence, drop the dependency on
    debconf.

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Sep 2009 23:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: utils
 Priority: standard
 Maintainer: Pierre Habouzit <madcoder@debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
 Standards-Version: 3.7.3
-Vcs-Browser: http://git.madism.org/?p=apps/apt-listchanges.git;a=summary
-Vcs-Git: git://git.madism.org/apps/apt-listchanges.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
+Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
  python-support (>= 0.4.0), libexpat1-dev
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, debconf | debconf-2.0,
- ucf (>= 0.28), debianutils (>= 2.0.2)
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, 
+ ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2
 Description: package change history notification tool

## apt-listchanges 2.85.6ubuntu1

=== debian/changelog ===
apt-listchanges (2.85.6ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - If the new package does not have a Debian changelog, fall back
      to apt-get changelog.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Nov 2010 20:54:43 +0100

apt-listchanges (2.85.6) unstable; urgency=low

  * Update the program Danish PO file; thanks to Joe Dalton; Closes:
    #602226
  * Update the program Catalan PO file; thanks to Jordi Mallach
  * make postrm be idempotent; thanks to Gonzalo Pérez de Olaguer
    Córdoba; Closes: #602742
  * Update PO Debconf Chinese (traditional) translation; thanks to Asho
    Yeh

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Nov 2010 22:20:39 +0100

apt-listchanges (2.85.5ubuntu2) natty; urgency=low

  * apt-listchanges/DebianFiles.py: use apt-get changelog
  * debian/control: depend on apt with apt-get changelog support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Nov 2010 13:41:42 +0100

apt-listchanges (2.85.5ubuntu1) natty; urgency=low

  * apt-listchanges/DebianFiles.py: If the new package does not have a Debian
    changelog, fall back to apt-changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Nov 2010 17:13:34 +0100

apt-listchanges (2.85.5) unstable; urgency=low

  * Update the program French PO file, and revert the wrongly changed
    Debconf PO file; really Closes: #593224

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Sep 2010 23:11:15 +0200

apt-listchanges (2.85.4) unstable; urgency=low

  [ Pierre Habouzit ]
  * make apt-listchange interruptible by ^C (Closes: #456271)
  * Use pythonism to guess the encoding to use (Closes: #511448) -
    thanks to Joerg Woelke <joewoe@fsmail.de>

  [ Sandro Tosi ]
  * Updated French translation; thanks to Christian Perrier; Closes:
    #593224

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Sep 2010 15:19:16 +0200

apt-listchanges (2.85.3) unstable; urgency=low

  [ Pierre Habouzit ]
  * Make apt-listchanges guess about binNMUs again; Closes: 590989

  [ Sandro Tosi ]
  * debian/README.Debian
    - reported the workaround used to recover from situation like in #587952;
      we can't do anything else but to document it, so this also Closes: #587952
  * debian/control
    - remove Matt Zimmerman from Uploaders: thx for your work! Closes: #521476

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Aug 2010 17:13:16 +0200

apt-listchanges (2.85.2) unstable; urgency=low

  * apt-listchanges no longer supposes that binary packages all have the same
    version for a given source package; Closes: #525978, #491306

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 19 Jul 2010 11:15:50 +0200

apt-listchanges (2.85.1) unstable; urgency=low

  * apt-listchanges/DebianFiles.py
    - add an empty line (if missing) only if there's something to display;
      thanks to Julien Cristau for the report; Closes: #587957

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Jul 2010 21:02:52 +0200

apt-listchanges (2.85) unstable; urgency=low

  * debian/control
    - added myself to Uploaders
    - removed b-d-i for python-dev, not needed for building the package
    - bump Standards-Version to 3.9.0 (no changes needed)
  * debian/{config, preinst}
    - add 'set -e' explicitly, and not only in the shebang
  * po/ar.po
    - added Arabic translation; thanks to Ossama Khayat for the report and
      patch; Closes: #501636
  * apt-listchanges.py, apt-listchanges/DebianFiles.py, debian/control
    - update for upcoming python-apt API transition; thanks to Julian Andres
      Klode for the report and patch; Closes: #572062
  * debian/copyright
    - refer to GPL-2 local license file
  * apt-listchanges.es.sgml
    - use escape sequence instead of apex in 'save_seen' description
  * debian/README.Debian
    - fix a typo; thanks to Paul Menzel for report and patch; Closes: #516141
  * po/et.po
    - updated Estonian translation; thanks to Ivar Smolin for the report and
      patch; Closes: #576325
  * apt-listchanges/DebianFiles.py
    - add a blank line at the end of NEWS entry (if it's not already there);
      thanks to Martin Michlmayr for the report and to Morita Sho for the patch;
      Closes: #247356

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Jul 2010 00:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Pierre Habouzit <madcoder@debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Standards-Version: 3.7.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>, Sandro Tosi <morph@debian.org>
+Standards-Version: 3.9.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: docbook-to-man, gettext, python-dev, po-debconf,
- python-support (>= 0.4.0), libexpat1-dev
+Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
+ python-support (>= 0.4.0)
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.5.3), python-apt, 
+Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2

## apt-listchanges 2.85.7+squeeze1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = apt-listchanges
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c

MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/bin/pygettext
MSGMERGE = msgmerge

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py)

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

$(PACKAGE).pot: $(SRCFILES)
	if test -f $(XGETTEXT); then \
	    $(XGETTEXT) --default-domain=$(PACKAGE) --keyword=_ $(SRCFILES); \
	else \
	    touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
	    lang=`echo $$file | sed 's/\.mo//'`; \
	    install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
	    install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

clean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o *.mo

distclean: clean
	rm -f $(PACKAGE).pot

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
            cat=`basename $$cat`; \
            lang=`echo $$cat | sed 's/\.mo$$//'`; \
            echo "$$lang:"; \
            if $(MSGMERGE) $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
                mv -f $$lang.new.po $$lang.po; \
            else \
                echo "msgmerge for $$cat failed!"; \
                rm -f $$lang.new.po; \
            fi; \
        done

=== debian/changelog ===
apt-listchanges (2.85.7+squeeze1) stable; urgency=low

  [ Sandro Tosi ]
  * Don't skip the very first entry when the NEWS file is added; thanks to Ryo
    IGARASHI for the report and to Robert Luberda for the patch; Closes: #590541

  [ Michael Biebl ]
  * Upload to stable.

 -- Sandro Tosi <morph@debian.org>  Tue, 31 May 2011 11:57:14 +0200

apt-listchanges (2.85.7) unstable; urgency=low

  * Update the program Catalan PO file; thanks to Jordi Mallach; Closes:
    #606799

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2010 21:27:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Maintainer: Pierre Habouzit <madcoder@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>, Sandro Tosi <morph@debian.org>
 Standards-Version: 3.9.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
@@ -13,7 +12,7 @@
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2

## apt-listchanges 2.85.8

=== debian/changelog ===
apt-listchanges (2.85.8) unstable; urgency=low

  * Update the debconf Danish PO file; thanks to Joe Dalton; Closes: #610566
  * Don't skip the very first entry when the NEWS file is added; thanks to Ryo
    IGARASHI for the report and to Robert Luberda for the patch; Closes: #590541

 -- Sandro Tosi <morph@debian.org>  Tue, 31 May 2011 11:57:14 +0200

## apt-listchanges 2.85.8ubuntu1

=== debian/changelog ===
apt-listchanges (2.85.8ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - apt-listchanges/DebianFiles.py:
      + If the new package does not have a Debian changelog, fall back
        to apt-get changelog.
    - debian/control: version depend on apt with apt-get changelog support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jun 2011 10:47:04 +0200

apt-listchanges (2.85.7ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - If the new package does not have a Debian changelog, fall back
      to apt-get changelog.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 May 2011 13:50:27 +0200

## apt-listchanges 2.85.8ubuntu2

=== debian/changelog ===
apt-listchanges (2.85.8ubuntu2) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 11:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>, Sandro Tosi <morph@debian.org>
 Standards-Version: 3.9.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
- python-support (>= 0.4.0)
+ python (>= 2.6.6-3~)
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
+Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh_installchangelogs 
 #	dh_link
 #	dh_strip
-	dh_pysupport
+	dh_python2
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## apt-listchanges 2.85.9

=== debian/changelog ===
apt-listchanges (2.85.9) unstable; urgency=low

  * Add helpful message to exit from less; thanks to Stuart Prescott for report
    and patch; Closes: #633645
  * use _render() to show test in GTK frontend; Closes: #551537
  * add --since and --reverse to manpage; thanks to Rogério Brito for the
    report; Closes: #620548
  * bump Standards-Version to 3.9.2 (no changes needed)
  * fix build* targets
  * add source format + compression options
  * added Auto-Submitted header to mails; thanks to Lee Maguire for the report;
    Closes: #641228
  * Add the debconf Slovak PO file; thanks to Slavko for the patch;
    Closes: #614207

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Feb 2012 21:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Habouzit <madcoder@debian.org>
+Maintainer: Pierre Habouzit <madcoder@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>, Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
- python (>= 2.6.6-3~)
+ python-support (>= 0.4.0)
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Recommends: exim4 | mail-transport-agent
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2

## apt-listchanges 2.85.11

=== debian/changelog ===
apt-listchanges (2.85.11) unstable; urgency=low

  * Don't use _() if we can't set requested locale; thanks to Ansgar Burchardt
    for the report and to Stuart Prescott for the patch; Closes: #602176
  * While parsing APT output, only return packages that are being installe, and
    not simply configured; thanks to Stuart Prescott for the analysis and the
    patch: Closes: #672230

 -- Sandro Tosi <morph@debian.org>  Sat, 30 Jun 2012 12:36:34 +0200

apt-listchanges (2.85.10) unstable; urgency=low

  [ Pierre Habouzit ]
  * Remove myself from Maintainer/Uploader as I won't work on it anymore, put
    Sandro in charge, since well, it just makes reality official.

  [ Josh Triplett ]
  * Avoid throwing an exception when sendmail does not exist. (Closes: 666086)
  * Move mail-transport-agent from Recommends to Suggests. (Closes: 599667)
  * Change exim4 to default-mta in Suggests.

  [ Sandro Tosi ]
  * Bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jun 2012 12:32:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Pierre Habouzit <madcoder@debian.org>
-Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>, Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
@@ -14,8 +14,8 @@
 Architecture: all
 Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
-Recommends: exim4 | mail-transport-agent
-Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2
+Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2,
+ default-mta | mail-transport-agent
 Description: package change history notification tool
  The tool apt-listchanges can compare a new version of a
  package with the one currently installed and show what has been

## apt-listchanges 2.85.11ubuntu1

=== debian/changelog ===
apt-listchanges (2.85.11ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - apt-listchanges/DebianFiles.py:
      + If the new package does not have a Debian changelog, fall back
        to apt-get changelog.
    - debian/control: version depend on apt with apt-get changelog support
    - Build using dh_python2.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 23 Oct 2012 17:16:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
 Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
- python-support (>= 0.4.0)
+ python (>= 2.6.6-3~)
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
+Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2,
  default-mta | mail-transport-agent

## apt-listchanges 2.85.12~exp1

=== debian/changelog ===
apt-listchanges (2.85.12~exp1) experimental; urgency=low

  [ Julien Cristau ]
  * [022b79c] apt-listchanges: debconf passthrough frontend for use with
    packagekit; Closes: #678311

  [ Sandro Tosi ]
  * [7bbe068] don't show changes only for packages configured early; thanks to
    Zack Weinberg for the patch; Closes: #573013

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Aug 2012 01:20:55 +0200

## apt-listchanges 2.85.13ubuntu2

=== Makefile ===
all::
	docbook-to-man apt-listchanges.sgml > apt-listchanges.1
	docbook-to-man apt-listchanges.es.sgml > apt-listchanges.es.1
	docbook-to-man apt-listchanges.fr.sgml > apt-listchanges.fr.1

install:: all
	# modules
	install -d $(DESTDIR)/usr/share/apt-listchanges
	install -m 644 apt-listchanges/* $(DESTDIR)/usr/share/apt-listchanges
	# config
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 debian/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/20listchanges
	# exe
	install -d $(DESTDIR)/usr/bin
	install -m 755 apt-listchanges.py $(DESTDIR)/usr/bin/apt-listchanges
	# man pages
	for man in apt-listchanges*.1; do \
	    lang=`echo $$man | sed -e 's/apt-listchanges\.*// ; s/\.*1//'`; \
	    install -d $(DESTDIR)/usr/share/man/$$lang/man1;                \
	    install -m 644 $$man $(DESTDIR)/usr/share/man/$$lang/man1/apt-listchanges.1; \
	done

clean::
	rm -f apt-listchanges*.1
	rm -f apt-listchanges/*.pyc

all install clean update-po::
	$(MAKE) -C po $@

=== debian/changelog ===
apt-listchanges (2.85.13ubuntu2) trusty; urgency=medium

  * Apply patch from BTS to remove incorrect dpkg-dev usage (closes: #733921)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Apr 2014 10:12:56 -0600

apt-listchanges (2.85.13ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - apt-listchanges/DebianFiles.py:
      + If the new package does not have a Debian changelog, fall back
        to apt-get changelog.
    - debian/control: version depend on apt with apt-get changelog support
    - Build using dh_python2.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 04 Jan 2014 15:13:32 -0500

apt-listchanges (2.85.13) unstable; urgency=low

  * Add missing dep on dpkg-dev, required to run dpkg-architecture; thanks to
    Ben Armstrong for the report; Closes: #733825
  * Fixed grammar in debconf Italian text; thanks to Riccardo Boninsegna for the
    report and to Luca Monducci for the patch; Closes: #709222

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2014 15:59:35 +0100

apt-listchanges (2.85.12) unstable; urgency=low

  * Update the program Spanish PO file; thanks to Javier Fernandez-Sanguino;
    Closes: #686426
  * Handle new format of binNMUs; thanks to Thorsten Glaser for the report and
    to Simon Ruderich for the patch; Closes: #718770
  * Add missing newline in the debconf passtrough frontend output; thanks to
    José Manuel Santamaría Lema for the report and patch; Closes: #693805
  * bump Standards-Version to 3.9.5 (no changes needed)
  * Use Alioth canonical URLs

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Dec 2013 13:31:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/apt-listchanges.git;a=summary
-Vcs-Git: git://git.debian.org/git/collab-maint/apt-listchanges.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apt-listchanges.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
  python (>= 2.6.6-3~)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	perl -pi.orig -e 's/##VERSION##/$(version)/g' apt_listchanges.py

## apt-listchanges 2.85.13ubuntu3

=== debian/changelog ===
apt-listchanges (2.85.13ubuntu3) vivid; urgency=medium

  * apt-listchanges/DebianFiles.py: only use apt-get changelog if which is
    changelogs or both, so not for news (LP: #839378). Thanks to Launchpad
    user snafu109 for the patch.

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Feb 2015 14:11:55 -0800

## apt-listchanges 2.85.13%2Bnmu1%2Bdyson1

=== debian/changelog ===
apt-listchanges (2.85.13+nmu1+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Fri, 09 Jan 2015 10:34:58 +0300

apt-listchanges (2.85.13+nmu1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Non-maintainer upload

  [ Chris Boot ]
  * Use the package's Architecture field when looking for binNMU changelogs.
    This removes the use of dpkg-architecture and thus the dependency on
    dpkg-dev. Closes: #718770, #733921

  [ Sergey Alyoshin ]
  * Add .glade file to translation and use xgettext
  * Mark message as translatable in .glade file
  * Update Russian translation; Closes: #742826

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 12 Oct 2014 23:46:51 +0100

## apt-listchanges 2.85.13+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
- python (>= 2.6.6-3~)
+ python-support (>= 0.4.0)
 
 Package: apt-listchanges
 Architecture: all
-Depends: ${python:Depends}, apt (>= 0.8.9), python-apt (>= 0.7.93),
+Depends: ${python:Depends}, apt (>= 0.5.3), python-apt (>= 0.7.93),
  ucf (>= 0.28), debianutils (>= 2.0.2), ${misc:Depends}
 Suggests: x-terminal-emulator, www-browser, python-glade2, python-gtk2,
  default-mta | mail-transport-agent

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	dh_installchangelogs 
 #	dh_link
 #	dh_strip
-	dh_python2
+	dh_pysupport
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## apt-listchanges 2.85.14ubuntu1

=== po/Makefile ===
--- 
+++ 
@@ -18,13 +18,14 @@
 INSTALL = /usr/bin/install -c
 
 MSGFMT = /usr/bin/msgfmt --statistics
-XGETTEXT = /usr/bin/pygettext
+XGETTEXT = /usr/bin/xgettext
 MSGMERGE = msgmerge
 
 POFILES =  $(wildcard *.po)
 MOFILES =  $(patsubst %.po,%.mo,$(POFILES))
 
-SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py)
+SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py) \
+	../apt-listchanges/apt-listchanges.glade
 
 all: $(PACKAGE).pot $(MOFILES)
 
@@ -35,8 +36,9 @@
 
 $(PACKAGE).pot: $(SRCFILES)
 	if test -f $(XGETTEXT); then \
-	    $(XGETTEXT) --default-domain=$(PACKAGE) --keyword=_ $(SRCFILES); \
+	    $(XGETTEXT) --default-domain=$(PACKAGE) -k_ $(SRCFILES) -o$@; \
 	else \
+	    echo "Warning: $@ is not updated"; \
 	    touch $@; \
 	fi

=== debian/changelog ===
apt-listchanges (2.85.14ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - apt-listchanges/DebianFiles.py: only use apt-get changelog if which is
      changelogs or both, so not for news.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 14:53:58 +0100

apt-listchanges (2.85.14) unstable; urgency=medium

  * Acknowledge NMU; thanks to Ben Hutchings for it; Closes: #718770, #733921,
    #742826
  * Force quite mode when not running in a TTY; thanks to Micah Anderson for the
    report and to Thomas Parmelan for the patch; Closes: #610012
  * Bump debhelper compat to 9
  * Use dpkg-parsechangelog --show-field
  * convert d/rules to DH sequencer
  * Switch to dh_python2; Closes: #785943
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 06 Jun 2015 20:24:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apt-listchanges.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/apt-listchanges.git
-Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev,
- python-support (>= 0.4.0)
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev, python, dh-python
 
 Package: apt-listchanges
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

version=$(shell dpkg-parsechangelog --show-field version)

%:
	dh $@ --with python2

override_dh_auto_build:
	perl -pi.orig -e 's/##VERSION##/$(version)/g' apt_listchanges.py
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges

override_dh_installdocs:
	dh_installdocs TODO

## apt-listchanges 2.89

=== Makefile ===
include common.mk
all::

install:: all
	# modules
	install -d $(DESTDIR)/usr/share/apt-listchanges
	install -m 644 apt-listchanges/* $(DESTDIR)/usr/share/apt-listchanges
	# config
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 debian/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/20listchanges
	# exe
	install -d $(DESTDIR)/usr/bin
	install -m 755 apt-listchanges.py $(DESTDIR)/usr/bin/apt-listchanges

clean::
	rm -f apt-listchanges/*.pyc

all install clean update-po::
	$(MAKE) -C po $@
	$(MAKE) -C doc $@

=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # but which still want to provide support for the GNU gettext functionality.
 # Please note that the actual code is *not* freely available.
 
-PACKAGE = apt-listchanges
+include ../common.mk
 prefix = /usr
 exec_prefix = ${prefix}
 datadir = $(prefix)/share
@@ -36,7 +36,8 @@
 
 $(PACKAGE).pot: $(SRCFILES)
 	if test -f $(XGETTEXT); then \
-	    $(XGETTEXT) --default-domain=$(PACKAGE) -k_ $(SRCFILES) -o$@; \
+	    $(XGETTEXT) $(XGETTEXT_COMMON_OPTIONS) \
+	                -k_ $(SRCFILES) -o$@; \
 	else \
 	    echo "Warning: $@ is not updated"; \
 	    touch $@; \

=== debian/changelog ===
apt-listchanges (2.89) unstable; urgency=medium

  * Fix the 'none' frontend broken since version 2.86.
  * Introduce --select-frontend option for testing purposes
    to validate different frontends before release.
  * Quit early in the apt mode if there are no packages
    to process (this partially fixes #514865).
  * Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 09 Apr 2016 21:37:50 +0200

apt-listchanges (2.88) unstable; urgency=medium

  * Fix build reproducibility by forcing LC_ALL=C for docbook-to-man calls.
  * Update the previous debian/NEWS entry to mention renamed options.

 -- Robert Luberda <robert@debian.org>  Sun, 03 Apr 2016 10:09:23 +0200

apt-listchanges (2.87) unstable; urgency=medium

  * Use po4a for handling translations of man pages:
    + convert existing translations to *.po files, and unfuzzy them;
    + incorporate minor update of French man page by Alexandre Detiste
      from bug#796061;
    + make sure the Italian translation is actually installed;
    + update Makefiles, and add build dependency on po4a.
  * Fix encoding of non-ASCII mails (closes: #604922).
  * Convert http(s) and ftp(s) URLs into links in the browser frontend
    (closes: #587399). Additionally do the same CVE/CAN identifiers,
    and switch to using https for the Debian BTS links.
  * Introduce the --email-format option to optionally send mails in
    the HTML format (closes: #689731).
  * Rename the --save_seen option to --save-seen to match names of
    other command line options that contain hyphens rather than
    underscores (closes: #707667). Also rename --all to --show-all
    to match the name of the configuration file option. (Both older
    options are supported for backward compatibility, but no longer
    documented in the man page).
  * Enhance apt-listchanges(1) man page:
    + describe the format of the configuration file together with
      possible values of boolean options (see #707667);
    + document that browser, pager, and xterm settings can include
      arguments (closes: #784781);
    + disambiguate description of changes ordering (closes: #594844).
  * Introduce --ignore-apt-assume option to disable switching into
    non-interactive mode in case of `apt-get -y' (closes: #818712).
  * Switch to the non-interactive mode when DEBIAN_FRONTEND environment
    variable is set to "noninteractive". Add --ignore-debian-frontend
    to disable this.
  * Validate package names command line arguments (closes: #522700).
  * Try to prompt for confirmation when exception occurs (closes: #479530).
  * Update Polish translation.
  * Cleanup debian/rules a bit.
  * Drop useless build-dependency on libexpat1-dev.
  * Add debian/NEWS entry for recent changes.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Apr 2016 20:24:43 +0200

apt-listchanges (2.86) unstable; urgency=medium

  * New maintainer (closes: #813245).
  * Merge binnmu entries with regular ones, not to display the low urgency
    binnmus before other possibly more important entries (closes: #746428).
  * If at least one package is being upgraded, do not ignore newly installed
    packages to try to support cases when /u/s/doc/package directory changes
    into symlink to another package built from the same source.
  * Check if filenames dict contains package name key before deleting it to
    avoid exception (closes: #757203).
  * Print "Reading changelogs" into stdout, not stderr (closes: #789160).
  * Do not override the mail fronted with text when quiet mode is set and
    the mail frontend is usable (closes: #502347, #788059).
  * Handle the '--assume-yes' option of apt-get by using non-interactive
    frontend and disabling confirmation (closes: #687443, LP: #788519),
    and fix exception occurring on non-int value while parsing apt
    'quiet=' line (closes: #604130).
  * Switch debian/copright to the DEP-5 format.
  * debian/copyright:
    + use https for Vcs-* fields, and link to cgit rather than gitweb;
    + remove remaining uploader;
    + bump Standards-Verrsion to 3.9.7 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 17 Mar 2016 23:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apt-listchanges.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/apt-listchanges.git
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: docbook-to-man, gettext, po-debconf, libexpat1-dev, python, dh-python
+Build-Depends-Indep: docbook-to-man, gettext, po-debconf, po4a (>= 0.47),  python, dh-python
 
 Package: apt-listchanges
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges
